- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: SonarQube
- name: Sets SonarQube CR Facts
  set_fact:
    sonarqube_name: "{{ ('sonarqube-' ~ found_cr.resources[0].metadata.name)
                          if (found_cr is defined
                              and found_cr.resources is defined
                              and found_cr.resources | length > 0)
                          else False }}"
    sonarqube_namespace: "{{ found_cr.resources[0].metadata.namespace
                               if (found_cr is defined
                                   and found_cr.resources is defined
                                   and found_cr.resources | length > 0)
                               else False }}"
- name: Sets SonarQube Facts
  set_fact:
    sonarqube_admin_secret: "{{ found_cr.resources[0].status.adminsecret }}"
    sonarqube_scanner_secret: "{{ found_cr.resources[0].status.scannersecret }}"
    sonarqube_api_address: "{{ found_cr.resources[0].status.internal }}"
    sonarqube_api_public: "{{ found_cr.resources[0].status.public }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
